#! /bin/sh
# $Id: check_demo_install.sh,v 1.1 2004-10-06 11:51:27 pl Exp $
# Check whether the demo is correctly installed

die() {
	echo "ERROR: $@"
	exit 1
}

checkfile() {
	local FN=$1
	echo -n "Checking $FN... "
	[ -f "$FN" ] || die "$FN is not a file"
	[ -r "$FN" ] || die "$FN is not readable"
	echo "ok"
}

checkexe() {
	local FN=$1
	echo -n "Checking $FN... "
	[ -f "$FN" ] || die "$FN is not a file"
	[ -r "$FN" ] || die "$FN is not readable"
	[ -x "$FN" ] || die "$FN is not executable"
	echo "ok"
}

checkdir() {
	local DN=$1
	echo -n "Checking $FN... "
	[ -d "$DN" ] || die "$DN is not a dir"
	[ -x "$DN" ] || die "$DN is not executable"
	echo "ok"
}

echo "Checking demo installation..."
cd /home/pov/

checkfile ./README.txt
checkexe ./genhtml.sh
checkexe ./go.sh
checkexe ./machinestat.pl
checkexe ./prego.sh
checkdir ./public_html
checkfile ./public_html/index.php
checkdir ./public_html/tmp
if [ `ls -dl ./public_html/tmp | awk '{print $1}'` != "drwxrwxrwt" ] ; then
	die "./public_html/tmp has to be drwxrwxrwt"
fi

checkdir ./scenes


