#! /bin/bash
#
# $Id: prego.sh,v 1.3 2004-10-14 14:17:09 pl Exp $

cd /home/pov

#WARNING HEIGHT % CHUNKH must be 0
export WIDTH=640
export HEIGHT=480
export CHUNKH=10

POVFILES="$1"
[ $POVFILES ] || { echo "ERROR: $0 file.pov<br>" ; exit 1 ; }


for FN in $POVFILES ; do
	(

	N="`date +%s`-$RANDOM"
	
	echo "* Povray scene to render : $FN<br>"
	echo "* Povray job ID = $N "

	OUTIMGFN=/home/pov/public_html/tmp/`basename $FN .pov`-$N.tga
	OUTHTMLFN=/home/pov/public_html/tmp/`basename $FN .pov`-$N.html

	./genhtml.sh $OUTIMGFN > $OUTHTMLFN
	if [ $? -ne 0 ] ; then
		echo "ERROR: could not generate HTML page<br>"
		exit 1
	fi
	
	RENDERINGURL="./tmp/`basename $OUTHTMLFN`"

	echo "(results will be at <a href=\"$RENDERINGURL\">$RENDERINGURL</a><br>"

	echo "* Setting up tasks environment..."
	DEST=~pov/$N
	mkdir $DEST

	cp go.sh machinestat.pl ${FN} $DEST || { echo "Error: no ${FN}" ; exit 1 ; }

	echo "Ok<br>"
	
	echo "<center><iframe frameborder=0 src=\"$RENDERINGURL\" width=$(($WIDTH+30)) height=$(($HEIGHT+30))>Sorry, no iframe support</iframe></center><br>"

	cd $DEST
	echo "<pre>"

	./go.sh "$DEST" "$FN" "$OUTIMGFN"
	echo ""
	echo "</pre>"

	echo "* Rendering finished. Please click <a href=\"$RENDERINGURL\">here</a> to see it.<br>"

	)
done

echo "******** LEAVING NOW **************<br>"
echo "<a href=\"/public_html/\">Please click here to return to the Povray mainpage</a><br>"

